Bug 9719 - Cairo doesn't support 655 xlib format
Cairo doesn't support 655 xlib format
Status: RESOLVED FIXED
Product: cairo
Classification: Unclassified
Component: general
1.2.6
x86 (IA32) NetBSD
: lowest enhancement
Assigned To: Carl Worth
cairo-bugs mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-20 07:09 UTC by Andrew Ball
Modified: 2008-03-20 17:28 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Ball 2007-01-20 07:09:38 UTC
Error: Cairo 1.2.6 does not yet support the requested image format:
        Depth: 16
        Alpha mask: 0x00000000
        Red mask:   0x0000003f
        Green mask: 0x000007c0
        Blue mask:  0x0000f800
Comment 1 Carl Worth 2007-05-18 13:08:57 UTC
Looks like an RGB 655 format to me---retitling to indicate as much in the bug report.

-Carl
Comment 2 Dave Beckett 2007-12-18 00:04:16 UTC
Also reported as debian bug
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=413690
Comment 3 Søren Sandmann Pedersen 2008-01-18 11:21:12 UTC
What graphics hardware is this happening on?

Comment 4 Carl Worth 2008-03-20 17:28:53 UTC
This bug is now fixed in the cairo 1.5.14 snapshot and will appear in the imminent 1.6.0 release.

Please test and let me know how things go.

-Carl